Advisory Details

January 10th, 2017

Hewlett Packard Enterprise Operations Orchestration Backwards Compatibility Deserialization of Untrusted Data Remote Code Execution Vulnerability

ZDI-17-001
ZDI-CAN-3836

CVE ID CVE-2016-8519
CVSS SCORE 7.5, (AV:N/AC:L/Au:N/C:P/I:P/A:P)
AFFECTED VENDORS Hewlett Packard Enterprise
AFFECTED PRODUCTS Operations Orchestration
TREND MICRO CUSTOMER PROTECTION Trend Micro TippingPoint IPS customers are protected against this vulnerability by Digital Vaccine protection filter ID 30597. For further product information on the TippingPoint IPS: http://www.tippingpoint.com
VULNERABILITY DETAILS


This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Hewlett Packard Enterprise Operations Orchestration. Authentication is not required to exploit this vulnerability.

The specific flaw exists within the wsExecutionBridgeService servlet. The issue lies in the failure to properly validate user-supplied data which can result in deserialization of untrusted data. An attacker can leverage this vulnerability to execute arbitrary code under the context of the current process.

ADDITIONAL DETAILS Hewlett Packard Enterprise has issued an update to correct this vulnerability. More details can be found at:
https://h20564.www2.hpe.com/hpsc/doc/public/display?docId=emr_na-c05361944
DISCLOSURE TIMELINE
  • 2016-06-30 - Vulnerability reported to vendor
  • 2017-01-10 - Coordinated public release of advisory
CREDIT Jacob Baines
Tenable Network Security
BACK TO ADVISORIES